> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Create a tier

POST https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/{directoryId}/tiers/
Content-Type: application/json

Create a directory tier

Reference: https://docs.partnerpage.io/api-reference/directory/tiers/create-a-tier

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `directoryId` (string, required) — ID of the directory

### Body (application/json)

This endpoint expects a TierSerializerWriterRequest.

- `title` (string, required)
- `order` (integer, optional)
- `image` (string, optional, nullable)
- `imageUrl` (string, optional, nullable)

## Response

### 201

Successful operation

- `title` (string, required)
- `id` (string, required)
- `entriesCount` (integer, required)
- `entriesListUrl` (string, required)
- `default` (boolean, optional, nullable)
- `image` (string, optional, nullable)
- `imageUrl` (string, optional, nullable)
- `order` (integer, optional)

## Errors

### 400 Bad Request Error

Reached maximum number of tiers allowed per directory

- `any`

### 500 Internal Server Error

Internal server error

- `any`

## Examples

**Request**

```json
{
  "title": "string"
}
```

**Response**

```json
{
  "title": "Tier 2",
  "id": "c6118ecc-81db-4a9d-a11e-7868d223e3f4",
  "entriesCount": 2,
  "entriesListUrl": "/api/directory/private/v1alpha/directories/efc35140-2c3f-4936-a3f8-b700ecafe6b5/tiers/c6118ecc-81db-4a9d-a11e-7868d223e3f4/entries/",
  "default": false,
  "image": "https://image.domain.com/tier1.png",
  "imageUrl": "https://image.domain.com/tier1.png",
  "order": 0
}
```

**SDK Code**

```python Example response
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/tiers/"

payload = { "title": "string" }
headers = {
    "Authorization": "Token  <apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Example response
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/directories/directoryId/tiers/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Token  <apiKey>', 'Content-Type': 'application/json'},
  body: '{"title":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```